from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.text import XTextCursor

@runtime_checkable
class XTextViewCursor(XTextCursor, Protocol):
    def isVisible(self) -> bool: ...
    def setVisible(self, bVisible: bool) -> None: ...
    def getPosition(self) -> Point: ...
